
Name: 	 kdevelop
Summary: Integrated Development Environment for C++/C
Epoch: 	 9 
Version: 3.4.0
Release: 2%{?dist}

License: GPL
URL:	 http://www.kdevelop.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/kdevelop-%{version}/src/kdevelop-%{version}.tar.bz2
Group: 	 Development/Tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel >= 6:3.5.6
BuildRequires: kdelibs-apidocs >= 6:3.5.6
BuildRequires: gettext
# for cvs plugin
BuildRequires: kdesdk-devel
BuildRequires: db4-devel
BuildRequires: flex
#if 0%{?fedora} > 2 || 0%{?rhel} > 3
BuildRequires: subversion-devel >= 1.0
BuildRequires: neon-devel
#endif

%define db_includes %{_includedir}/db4

Requires: kdelibs-devel 
Requires(post):   xdg-utils
Requires(postun): xdg-utils
Requires: qt-designer 
Requires: make
Requires: ctags
Requires: perl 
Requires: flex 
Requires: automake
## Skip these, for now -- Rex
#Requires(hint): htdig
#Source3: kdevelop-htdig.conf
#Requires(hint): kdelibs-apidocs
#Requires(hint): ark


%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.


%prep
%setup -q 


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --disable-final \
  --with-qtdoc-dir=$QTDIR/doc/html/ \
  --with-kdelibsdoxy_dir=%{_docdir}/HTML/en/kdelibs-apidocs/ \
  --with-db-includedir=%{db_includes}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*-kconf_update
%{_libdir}/lib*.*
%{_datadir}/appl*/*/*.desktop
%{_datadir}/apps/*
%config %{_datadir}/config/*
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*
%{_datadir}/service*/*
# devel-type stuff
%{_includedir}/*


%clean 
rm -rf $RPM_BUILD_ROOT 


%changelog
* Thu Jan 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.4.0-2
- respun kdevelop-3.4.0 tarball

* Wed Jan 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.4.0-1
- kdevelop-3.4.0

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.3.6-1
- kde-3.5.6

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.5-1
- kde-3.5.5

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 3.3.4-1
- kde-3.5.4

* Wed May 24 2006 Rex Dieter 6:3.3.3-1.0
- kde-3.5.3

* Fri Apr 21 2006 Rex Dieter 6:3.3.2-1.1
- drop Requires(hint): htdig, kdelibs-apidocs (for now)

* Mon Mar 20 2006 Rex Dieter 6:3.3.2-1.0
- kde-3.5.2

* Sun Dec 11 2005 Rex Dieter 9:3.3.1-1.1
- kde-3.5.1
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Mon Nov 21 2005 Rex Dieter 9:3.3.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 9:3.3.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Sat Oct 15 2005 Rex Dieter 9:3.2.3-1.1.kde
- Requires: kdelibs-apidocs

* Thu Oct 06 2005 Rex Dieter 9:3.2.3-1.0.kde
- kde-3.4.3

* Tue Sep 06 2005 Rex Dieter 9:3.2.2-1.3.kde
- cannot view files with chmpart (kde bug #103064)

* Fri Aug 12 2005 Rex Dieter 9:3.2.2-1.2.kde
- respin

* Thu Jul 21 2005 Rex Dieter 9:3.2.2-1.0.kde
- kde-3.4.2

* Mon Jun 20 2005 Rex Dieter 9:3.2.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Tue May 24 2005 Rex Dieter 9:3.2.1-1.0.kde
- 3.2.1 (kde-3.4.1)

* Wed Mar 23 2005 Rex Dieter 9:3.2.0-1.1.kde
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Fri Mar 05 2005 Rex Dieter 9:3.2.0-1.0.kde
- 3.2.0

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 9:3.1.2-1.0.kde
- 3.1.2

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 9:3.1.1-1.0.kde
- fc3

* Wed Oct 06 2004 Rex Dieter <rexdieter at sf.net> 9:3.1.1-0.0.kde
- 3.1.1

* Mon Aug 30 2004 Rex Dieter <rexdieter at sf.net> 9:3.1-1.1.kde
- BR: kdesdk-devel (for cvs plugin)

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 9:3.1-1.0.kde
- 3.1

* Wed Jul 28 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.92-0.0.kde
- 3.0.92

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.3-0.fdr.0
- 3.0.3

* Tue Mar 09 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.2-0.fdr.1
- fix qt-designer dep.

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.2-0.fdr.0
- 3.0.2 (part of kde-3.2.1)

* Thu Feb 19 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.0-0.fdr.1
- rh73: fix db4 detection/use
- rh73: fix --program-prefix

* Mon Feb 09 2004 Rex Dieter <rexdieter at sf.net> 9:3.0.0-0.fdr.0
- 3.0.0

